local origin_init = CharacterTweakData.init

function CharacterTweakData:init(tweak_data)
	origin_init(self, tweak_data)
	local presets = self:_presets(tweak_data)
	self:_init_test_cop_template(presets)
end

function CharacterTweakData:_init_test_cop_template(presets)
	self.test_cop_template = deep_clone(presets.base)
	self.test_cop_template.experience = {}
	self.test_cop_template.weapon = presets.weapon.normal
	self.test_cop_template.detection = presets.detection.normal
	self.test_cop_template.HEALTH_INIT = 14
	self.test_cop_template.headshot_dmg_mul = 1.7
	self.test_cop_template.move_speed = presets.move_speed.normal
	self.test_cop_template.surrender_break_time = {10, 15}
	self.test_cop_template.suppression = presets.suppression.easy
	self.test_cop_template.surrender = presets.surrender.normal
	self.test_cop_template.ecm_vulnerability = 1
	self.test_cop_template.ecm_hurts = {
		ears = {min_duration = 8, max_duration = 10}
	}
	self.test_cop_template.weapon_voice = 3
	self.test_cop_template.experience.cable_tie = tie_swat
	self.test_cop_template.speech_prefix_p1 = "l"
	self.test_cop_template.speech_prefix_p2 = n
	self.test_cop_template.speech_prefix_count = 4
	self.test_cop_template.access = "cop"
	self.test_cop_template.silent_priority_shout = f37
	self.test_cop_template.dodge = presets.dodge.average
	self.test_cop_template.deathguard = true
	self.test_cop_template.chatter = presets.enemy_chatter.cop
	self.test_cop_template.melee_weapon = baton
	self.test_cop_template.steal_loot = true
end