local old_unit_cat = GroupAITweakData._init_unit_categories
local old_spawn_group = GroupAITweakData._init_enemy_spawn_groups
local old_task_data = GroupAITweakData._init_task_data

function GroupAITweakData:_init_unit_categories(difficulty_index)
	old_unit_cat(self, difficulty_index)
	local access_type_walk_only = {walk = true}
	local access_type_all = {walk = true, acrobatic = true}
	-- Test Cop Template
	self.unit_categories.CS_test_cop_template = {
		unit_types = {
			america = {
				Idstring("units/payday2/characters/ene_test_cop_template/ene_test_cop_template")
			},
			russia = {
				Idstring("units/payday2/characters/ene_test_cop_template/ene_test_cop_template") -- No russian version, so spawn the normal one.
			}
		},
		access = access_type_all
	}
end

function GroupAITweakData:_init_enemy_spawn_groups(difficulty_index)
	old_spawn_group(self, difficulty_index)
	self.enemy_spawn_groups.CS_custom = {
		amount = {3, 4},
		spawn = {
			{
				unit = "CS_test_cop_template",
				freq = 1,
				amount_min = 2,
				tactics = self._tactics.CS_cop,
				rank = 1
			}
		}
	}
end

function GroupAITweakData:_init_task_data(difficulty_index, difficulty)
	old_task_data(self, difficulty_index, difficulty)
	self.besiege.assault.groups.CS_custom = {0.5,0.5,0.5}
end